#!/bin/sh
# ----------------------------------------------------------------------------
# /tmp/preinstall.sh - libgloox7-dev preinstallation
#
# Creation   : 2008-12-09 alex
# Last update: $Id: preinstall.sh 191 2008-12-12 07:25:05Z alex $
#
# Copyright (c) 2008 the eisfair team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# set packages name
packageName=libgloox7-dev

#----------------------------------------------------------------------------
# include eislib
#----------------------------------------------------------------------------
. /var/install/include/eislib

test -f /var/install/packages/${packageName}  &&
mecho -info "preinstalling ${packageName} ..."


#----------------------------------------------------------------------------
# delete old scripts
#----------------------------------------------------------------------------
test -f /var/install/deinstall/${packageName} &&
sh /var/install/deinstall/${packageName}

### remove old package 'gloox-dev' 0.1.1 and below
old_package_check=`/var/install/bin/check-version gloox-dev 0.1.1`
case $old_package_check in
    installed|new)
        if [ -f /var/install/deinstall/gloox-dev ]
        then
            mecho -info 'Found old package "gloox-dev"...'
            sh /var/install/deinstall/gloox-dev
        fi
    ;;
    *)
        # nothing to do
    ;;
esac

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
